---
title: How to fix KMail not starting
description: How I got my KMail working again when it crashed during the startup process
date: 2024-09-17T06:00:00+0200
draft: false
ShowLastmod: false
tags:
  - Plasma
  - Fix
  - KMail
---

Last night, I suddenly could not start KMail anymore.

Konsole revealed this:

```fish
$ kmail
org.kde.pim.kmail: setFcc: collection invalid  ""
We have an error during reading password  "Entry not found"
*** KMail got signal 11 (Exiting)
*** Dead letters dumped.
KCrash: Application 'kmail' crashing... crashRecursionCounter = 2
fish: Job 1, 'kmail' terminated by signal SIGSEGV (Address boundary error)
````

Luckily, I quickly [found a fix][1]:

```fish
rm ~/.local/share/kmail2/autosave/*
```

Don't know what caused this problem and why KMail chokes on
autosave files, but at least I can now start it again.

[1]: <https://forum.archlinux.de/d/34333-kmail-kontact-starten-nach-plasma-update-nicht-mehr/10>
